# polizei-brandenburg
Polizei Brandenburg Nachrichten, Hochwasser-, Verkehrs- und Waldbrandwarnungen

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[polizei_brandenburg]
```

### poetry install

```sh
poetry add deutschland -E polizei_brandenburg
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import polizei_brandenburg
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import polizei_brandenburg
from pprint import pprint
from deutschland.polizei_brandenburg.api import default_api
from deutschland.polizei_brandenburg.model.news import News
from deutschland.polizei_brandenburg.model.pegel import Pegel
from deutschland.polizei_brandenburg.model.reviere import Reviere
from deutschland.polizei_brandenburg.model.verkehr import Verkehr
from deutschland.polizei_brandenburg.model.waldbrand import Waldbrand
# Defining the host is optional and defaults to https://polizei.brandenburg.de/ipa_api
# See configuration.py for a list of all supported configuration parameters.
configuration = polizei_brandenburg.Configuration(
    host = "https://polizei.brandenburg.de/ipa_api"
)



# Enter a context with an instance of the API client
with polizei_brandenburg.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    count = 5000 # int | Number of results (optional)
category = 8 # int | category id (optional)
district = 500 # int | district id (optional)

    try:
        # Nachrichten, Suchmeldungen der Polzei Brandenburg
        api_response = api_instance.news_version1_get(count=count, category=category, district=district)
        pprint(api_response)
    except polizei_brandenburg.ApiException as e:
        print("Exception when calling DefaultApi->news_version1_get: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://polizei.brandenburg.de/ipa_api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**news_version1_get**](docs/DefaultApi.md#news_version1_get) | **GET** /news/version/1 | Nachrichten, Suchmeldungen der Polzei Brandenburg
*DefaultApi* | [**pegel_version1_get**](docs/DefaultApi.md#pegel_version1_get) | **GET** /pegel/version/1 | Pegelstände
*DefaultApi* | [**reviere_version1_get**](docs/DefaultApi.md#reviere_version1_get) | **GET** /reviere/version/1 | Liste aller Reviere der Polzei Brandenburg
*DefaultApi* | [**vwd_version1_get**](docs/DefaultApi.md#vwd_version1_get) | **GET** /vwd/version/1 | Verkehrswarnungen der Polzei Brandenburg
*DefaultApi* | [**waldbrand_version1_get**](docs/DefaultApi.md#waldbrand_version1_get) | **GET** /waldbrand/version/1 | Waldbrandwarnungen Brandenburg


## Documentation For Models

 - [News](docs/News.md)
 - [NewsData](docs/NewsData.md)
 - [Pegel](docs/Pegel.md)
 - [PegelData](docs/PegelData.md)
 - [Reviere](docs/Reviere.md)
 - [ReviereData](docs/ReviereData.md)
 - [Verkehr](docs/Verkehr.md)
 - [VerkehrData](docs/VerkehrData.md)
 - [Waldbrand](docs/Waldbrand.md)
 - [WaldbrandData](docs/WaldbrandData.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author

kontakt@bund.dev


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in polizei_brandenburg.apis and polizei_brandenburg.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.polizei_brandenburg.api.default_api import DefaultApi`
- `from deutschland.polizei_brandenburg.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import polizei_brandenburg
from deutschland.polizei_brandenburg.apis import *
from deutschland.polizei_brandenburg.models import *
```

