# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.polizei_brandenburg',
 'deutschland.polizei_brandenburg.api',
 'deutschland.polizei_brandenburg.apis',
 'deutschland.polizei_brandenburg.model',
 'deutschland.polizei_brandenburg.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-polizei-brandenburg',
    'version': '0.1.0',
    'description': 'Polizei Brandenburg: App',
    'long_description': '# polizei-brandenburg\nPolizei Brandenburg Nachrichten, Hochwasser-, Verkehrs- und Waldbrandwarnungen\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[polizei_brandenburg]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E polizei_brandenburg\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import polizei_brandenburg\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import polizei_brandenburg\nfrom pprint import pprint\nfrom deutschland.polizei_brandenburg.api import default_api\nfrom deutschland.polizei_brandenburg.model.news import News\nfrom deutschland.polizei_brandenburg.model.pegel import Pegel\nfrom deutschland.polizei_brandenburg.model.reviere import Reviere\nfrom deutschland.polizei_brandenburg.model.verkehr import Verkehr\nfrom deutschland.polizei_brandenburg.model.waldbrand import Waldbrand\n# Defining the host is optional and defaults to https://polizei.brandenburg.de/ipa_api\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = polizei_brandenburg.Configuration(\n    host = "https://polizei.brandenburg.de/ipa_api"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith polizei_brandenburg.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    count = 5000 # int | Number of results (optional)\ncategory = 8 # int | category id (optional)\ndistrict = 500 # int | district id (optional)\n\n    try:\n        # Nachrichten, Suchmeldungen der Polzei Brandenburg\n        api_response = api_instance.news_version1_get(count=count, category=category, district=district)\n        pprint(api_response)\n    except polizei_brandenburg.ApiException as e:\n        print("Exception when calling DefaultApi->news_version1_get: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://polizei.brandenburg.de/ipa_api*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**news_version1_get**](docs/DefaultApi.md#news_version1_get) | **GET** /news/version/1 | Nachrichten, Suchmeldungen der Polzei Brandenburg\n*DefaultApi* | [**pegel_version1_get**](docs/DefaultApi.md#pegel_version1_get) | **GET** /pegel/version/1 | Pegelstände\n*DefaultApi* | [**reviere_version1_get**](docs/DefaultApi.md#reviere_version1_get) | **GET** /reviere/version/1 | Liste aller Reviere der Polzei Brandenburg\n*DefaultApi* | [**vwd_version1_get**](docs/DefaultApi.md#vwd_version1_get) | **GET** /vwd/version/1 | Verkehrswarnungen der Polzei Brandenburg\n*DefaultApi* | [**waldbrand_version1_get**](docs/DefaultApi.md#waldbrand_version1_get) | **GET** /waldbrand/version/1 | Waldbrandwarnungen Brandenburg\n\n\n## Documentation For Models\n\n - [News](docs/News.md)\n - [NewsData](docs/NewsData.md)\n - [Pegel](docs/Pegel.md)\n - [PegelData](docs/PegelData.md)\n - [Reviere](docs/Reviere.md)\n - [ReviereData](docs/ReviereData.md)\n - [Verkehr](docs/Verkehr.md)\n - [VerkehrData](docs/VerkehrData.md)\n - [Waldbrand](docs/Waldbrand.md)\n - [WaldbrandData](docs/WaldbrandData.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in polizei_brandenburg.apis and polizei_brandenburg.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.polizei_brandenburg.api.default_api import DefaultApi`\n- `from deutschland.polizei_brandenburg.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import polizei_brandenburg\nfrom deutschland.polizei_brandenburg.apis import *\nfrom deutschland.polizei_brandenburg.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/polizei-brandenburg-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
